#### D.15.4.5 diffAlgebraChangeOrd

Procedure from library `difform.lib` (see difform_lib).

Usage:
  diffAlgebraChangeOrd(#); # list

Assume:
  the current basering is the differential algebra

Return:
  the differential algebra with changed monomial ordering

Note:
  - an ordering is defined via the following pattern:
  - #[i] = 'gen' defines the ordering on the generators dx_i - #[i+1] must then be a valid monomial ordering as string - #[i+2] an optional weight vector
  - #[i] = 'ringvar' defines the ordering on the ringvariables - #[i+1] must then be a valid monomial ordering as string - #[i+2] an optional weight vector
  - only use for interior computations
  - differential forms are polynomials in the differential algebra - not in the returned ring - do not define differential forms as polynomials in the returned ring since this is another data-ring - an error occurs if: - no valid monomial ordering is given - no weight vector is given but a weighted monomial ordering - a given weight vector has wrong dimension
  - weight vectors are ignored if the given ordering is not weighted

See also: difformIsBigger; difformIsSmaller; difformListSort.

User manual for Singular version 4.4.1, 2025, generated by texi2html.